Index > Linuxで、JavaAppletを使えるようにする
Sat, April 8, 2006

Linuxで、JavaAppletを使えるようにする

Vine3.2のmozillaでJavaAppletを使うための設定をする。

JDK1.4を使う場合 # cd /usr/lib/mozilla/plugin # ln -s /usr/local/jdk14/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so .

JDK1.5を使う場合 # cd /usr/lib/mozilla/plugin # ln -s /usr/local/jdk1.5/jre/plugin/i386/ns7/libjavaplugin_oji.so .

Vine3.2のfirefoxでJavaAppletを使うための設定をする。

JDK1.4を使う場合 # cd /usr/lib/firefox/plugin # ln -s /usr/local/jdk14/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so .

JDK1.5を使う場合 # cd /usr/lib/firefox/plugin # ln -s /usr/local/jdk1.5/jre/plugin/i386/ns7/libjavaplugin_oji.so .

よく調べていないのだが、どうも、mozillaとfirefoxとを別々のバージョンのJDKを 使うように設定できないようだ。 はじめに、firefoxでJDK1.4のアプレット設定をして、 その後、mozillaにJDK1.5のアプレット設定をしたところ、 FirefoxでもJDK1.5でアプレットが起動してくるようになってしまったようだ。

 Twitter
follow me on Twitter
 Categories